I can't use 80 port of IPV6

Issues related to configuring your network
563416123
Posts: 6
Joined: 2018/04/26 06:35:29

I can't use 80 port of IPV6

Post by 563416123 » 2018/04/26 12:19:24

Hello
First,I get a new host.it's can only use IPV6.
I only carried out:

Code: Select all

yum -y install httpd
service iptables stop
When I Visit website. it's back to 502 error.
ps:
When I carried out:

Code: Select all

service network restart

Code: Select all

Shutting down interface eth0:                              [FAILED]
Shutting down loopback interface:                          [  OK  ]
Bringing up loopback interface:                            [  OK  ]
Bringing up interface eth0:  
Determining IP information for eth0... done.

Determining IPv6 information for eth0... failed.
Unable to obtain IPv6 DHCP address eth0.
                                                           [  OK  ]

Last edited by 563416123 on 2018/04/27 08:41:11, edited 2 times in total.

tunk
Posts: 417
Joined: 2017/02/22 15:08:17

Re: I can't use 80 port of IPV6

Post by tunk » 2018/04/26 13:55:46

CentOS 7 uses firewalld as default firewall. Unless you have installed iptables, I think you have to use:
systemctl stop firewalld

563416123
Posts: 6
Joined: 2018/04/26 06:35:29

Re: I can't use 80 port of IPV6

Post by 563416123 » 2018/04/26 13:58:41

tunk wrote:CentOS 7 uses firewalld as default firewall. Unless you have installed iptables, I think you have to use:
systemctl stop firewalld
But I use Centos 6.8.

tunk
Posts: 417
Joined: 2017/02/22 15:08:17

Re: I can't use 80 port of IPV6

Post by tunk » 2018/04/26 14:18:53

You posted your question under CentOS 7.
I assume you have started apache: service httpd start
Edit: Can you run this command: rpm -qa | grep apache
The reason for asking is that on my system it's called httpd, and not apache.

User avatar
TrevorH
Forum Moderator
Posts: 23652
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: I can't use 80 port of IPV6

Post by TrevorH » 2018/04/26 16:34:18

But I use Centos 6.8.
And your post is now in the correct forum instead of being in the CentOS 7 Networking one.

6.8 is out of date and needs a yum update to get to 6.9. Redhat announced the 6.10-beta today and that will become CentOS 6.10 in a few weeks/months once it's released upstream.
CentOS 5 died in March 2017 - migrate NOW!
Full time Geek, part time moderator. Use the FAQ Luke

User avatar
TrevorH
Forum Moderator
Posts: 23652
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: I can't use 80 port of IPV6

Post by TrevorH » 2018/04/26 16:35:37

Determining IPv6 information for eth0... failed.
For an ipv6-only machine, that doesn't look like a good error to see.
CentOS 5 died in March 2017 - migrate NOW!
Full time Geek, part time moderator. Use the FAQ Luke

563416123
Posts: 6
Joined: 2018/04/26 06:35:29

Re: I can't use 80 port of IPV6

Post by 563416123 » 2018/04/27 05:26:42

TrevorH wrote:
But I use Centos 6.8.
And your post is now in the correct forum instead of being in the CentOS 7 Networking one.

6.8 is out of date and needs a yum update to get to 6.9. Redhat announced the 6.10-beta today and that will become CentOS 6.10 in a few weeks/months once it's released upstream.
Thank you for your modification.
But I don’t think it’s the cause of my problem

563416123
Posts: 6
Joined: 2018/04/26 06:35:29

Re: I can't use 80 port of IPV6

Post by 563416123 » 2018/04/27 05:28:21

TrevorH wrote:
Determining IPv6 information for eth0... failed.
For an ipv6-only machine, that doesn't look like a good error to see.
So... What should I do?
I can access the host by Xshell.

563416123
Posts: 6
Joined: 2018/04/26 06:35:29

Re: I can't use 80 port of IPV6

Post by 563416123 » 2018/04/27 05:35:14

tunk wrote:You posted your question under CentOS 7.
I assume you have started apache: service httpd start
Edit: Can you run this command: rpm -qa | grep apache
The reason for asking is that on my system it's called httpd, and not apache.
Sorry,it's my mistake. I have modified my question.

User avatar
TrevorH
Forum Moderator
Posts: 23652
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: I can't use 80 port of IPV6

Post by TrevorH » 2018/04/27 06:27:59

You need to update anyway, regardless of this problem. 6.8 came out almost 2 years ago and there have been numerous security vulnerabilities found and fixed in that time. You will not have the fixes for any of them until you update.

Post the contents of /etc/sysconfig/network-scripts/ifcfg-eth0
CentOS 5 died in March 2017 - migrate NOW!
Full time Geek, part time moderator. Use the FAQ Luke

Post Reply